/*------------------------------------------------------------------------
----- Default - Generic styles 
------------------------------------------------------------------------ */

* { 
	box-sizing: border-box; 
}
*::before,
*::after {
	@include transition;
}

body {
	font-family: $font-family;
	word-break: break-word;
	font-size: 1rem;
	line-height: 1.625;
	color: $color-global;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
	margin-top: 64px;
	margin-bottom: 32px;
	font-family: $font-headings;
	line-height: 1.25;
}

h1,
.h1 {
	margin-top: 0;
	font-size: 1.5em;
}

h2,
.h2 {
	font-size: 1.325em;
}

h3,
.h3 {
	font-family: $font-family;
	font-weight: 500;
	font-size: 1.125em;
}

h4,
.h4 {
	font-family: $font-family;
	text-transform: uppercase;
	font-weight: normal;
	font-size: 1em;
}


a {
	text-decoration: none;
	color: $color-global;
	@include transition;

	&.button {
		display: inline-block;
		line-height: 1.15;
	}

	&:hover,
	&:focus {
		color: $color-global;
	}
	&[target="_blank"] {

		&::after {
			content: '';
			display: inline-block;
			width: 16px;
			height: 16px;
			padding-left: 8px;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 199 199'%3E%3Cpath fill='none' stroke='%234f4963' stroke-width='8.33' d='m69.16 126.7 84.28-84.28M109.6 41.87h46.87v46.3M66.72 42.47H41.87v114.24h114.25v-22.2'/%3E%3C/svg%3E");
			background-size: contain;
			background-repeat: no-repeat;
			background-position: right;
		}
	}
	&.button[target="_blank"] {

		&::after {
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-miterlimit='10' clip-rule='evenodd' viewBox='0 0 199 199'%3E%3Cpath fill='none' stroke='%23ffffff' stroke-width='8.33' d='m69.16 126.7 84.28-84.28M109.6 41.87h46.87v46.3M66.72 42.47H41.87v114.24h114.25v-22.2'/%3E%3C/svg%3E");
		}
	}

	img {
		vertical-align: sub;
		border: none;
	}
}
img {
	width: 100%;
	@include transition;
}

p,
ul,
ol,
dl {
	margin-bottom: $spacing-unit;
}

ul, ol {

	ul, ol {
		margin:0;
	}
}

dt {
	font-style:italic;
	font-weight:normal;
}

dd { 
	margin-left:1.3333em;
}

table {
	width:100%;
	border: 1px solid $bg-border;
	border-width: 1px 1px 0 0;
	margin-bottom:1.3333em;
}

th {
	font-weight: bold;
	text-align: left;
}

th, td {
	border: solid #ccc;
	border-width: 0 0 1px 1px;
	padding: 4px;
}

blockquote {
	font-style: italic;
	margin-left: 2.6667em;
	margin-right: 2.6667em;
}
#skipnav {
	position: absolute;
	width: 1px;
	height: 1px;
	margin: -1px;
	padding: 0;
	border: 0;
	clip: rect(0, 0, 0, 0);
	overflow: hidden;
}

#skipnav:focus {
	top:0;
	z-index: 9999;
	height: auto;
	width: auto;
	padding: .5em;
	border: 1px blue dashed;
	clip: initial;
}

#content {
	padding: 0 gutter();
}


/* `UI Consistency
----------------------------------------------------------------------------------------------------*/

::-moz-focus-inner {
	border: 0;
	padding: 0;
}

input[type="search"]::-webkit-search-decoration {
	display: none;
}

input,
button,
select,
textarea {
	margin: 0;
	vertical-align: middle;
}

input[type="radio"],
input[type="checkbox"] {
	position: relative;
	vertical-align: top;
	top: 3px;
	/* IE8, IE9, IE10 */
	top: 0\0;
	/* IE7 */
	top: -3px;
	margin-right: 10px;
}

/* iPad */
@media (-webkit-min-device-pixel-ratio: 1) and (max-device-width: 1024px) {

	input[type="radio"],
	input[type="checkbox"] {
		vertical-align: baseline;
		top: 2px;
	}
}

/* iPhone 3 */
@media (-webkit-min-device-pixel-ratio: 1) and (max-device-width: 480px) {

		input[type="radio"],
		input[type="checkbox"] {
		vertical-align: baseline;
		top: 0;
	}
}

/* iPhone 4 */
@media (-webkit-min-device-pixel-ratio: 2) and (max-device-width: 480px) {

	input[type="radio"],
	input[type="checkbox"] {
		vertical-align: baseline;
		top: 0;
	}
}

.button, 
button,
input[type="reset"],
input[type="submit"],
input[type="button"] {
	width: auto;
	-webkit-appearance: none;
	padding: 8px 24px;
	background-color: $bg-secondary;
	border:0;
	outline: 0;
	overflow: visible;
	cursor: pointer;
	text-transform: uppercase;
	font-family: $font-family-2;
	font-weight: bold;
	color: $color-light;
	@include transition;

	&:hover,
	&:focus {
		background-color: $primary-stg;
		color: $color-light;
	}
}

textarea,
select,
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"] {
	-webkit-appearance: none;
	border-radius: 0;
	box-sizing: border-box;
	background-clip: padding-box;
	background-color: $bg-body;
	border: 3px solid $bg-border;
	outline: 0;
	padding: 4px 16px;
	height: 2rem;
	@include transition;

	&:focus,
	&:active {
		border-color: $bg-secondary-cpl;
		box-shadow: inset 0 0 0 1px $secondary-cpl;
	}
}

/*
	Separate rule for Firefox.
	Separate rule for IE, too.
	Cannot stack with WebKit's.
*/
::-webkit-input-placeholder {
	color: #888;
}

input:-moz-placeholder,
textarea:-moz-placeholder {
	color: #888;
}

input.placeholder_text,
textarea.placeholder_text {
	color: #888;
}

:invalid {
	/*
	Suppress red glow that Firefox
	adds to form fields by default,
	even when user is still typing.
	*/
	box-shadow: none;
}

button:focus,
button:active,
input:focus,
input:active,
select:focus,
select:active,
textarea:focus,
textarea:active {

	/* for Opera */
	z-index: 1;
}

input[type="file"]:focus,
input[type="file"]:active,
input[type="radio"]:focus,
input[type="radio"]:active,
input[type="checkbox"]:focus,
input[type="checkbox"]:active {
	box-shadow: none;
}

select[disabled],
textarea[disabled],
input[type="date"][disabled],
input[type="datetime"][disabled],
input[type="datetime-local"][disabled],
input[type="email"][disabled],
input[type="month"][disabled],
input[type="number"][disabled],
input[type="password"][disabled],
input[type="search"][disabled],
input[type="tel"][disabled],
input[type="text"][disabled],
input[type="time"][disabled],
input[type="url"][disabled],
input[type="week"][disabled] {
	background-color: #eee;
}

button[disabled],
input[disabled],
select[disabled],
select[disabled] option,
select[disabled] optgroup,
textarea[disabled] {
	box-shadow: none;
	user-select: none;
	color: #888;
	cursor: default;
}

textarea,
select[size],
select[multiple] {
	height: auto;
}

/* Tweaks for Safari + Chrome. */
@media (-webkit-min-device-pixel-ratio: 0) {
	select {
		background-image: url(../images/select_arrow.gif);
		background-repeat: no-repeat;
		background-position: right center;
		padding-right: 20px;
	}

	select[size],
	select[multiple] {
		background-image: none;
		padding: 0;
	}

	::-webkit-validation-bubble-message {
		box-shadow: rgba(0, 0, 0, 0.5) 0 0 5px;
		background: -webkit-gradient(linear, left top, left bottom, color-stop(0, #666), color-stop(1, #000));
		border: 1px solid;
		border-color: #747474 #5e5e5e #4f4f4f;
		color: $color-light;
		font: 11px/1 'Lucida Grande', Arial, 'Liberation Sans', FreeSans, sans-serif;
		padding: 15px 15px 17px;
		text-shadow: #000 0 0 1px;
	}

	::-webkit-validation-bubble-arrow,
	::-webkit-validation-bubble-top-outer-arrow,
	::-webkit-validation-bubble-top-inner-arrow {
		-webkit-box-shadow: none;
		box-shadow: none;
		background: #666;
		border: 0;
	}
}

textarea {
	min-height: 40px;
	overflow: auto;
	resize: vertical;
	width: 100%;
}

optgroup {
	color: #000;
	font-style: normal;
	font-weight: normal;
}


/* ----- Theme-Specific Form Elements ----- */

legend { @extend h3; }

fieldset {
	display:block;
	clear:both;
	border: 0;
	margin: 0;
	padding: 0;
}

.search-entry {
	padding: (.5 * $spacing-unit) 2%;
	margin-top: (.5 * $spacing-unit);
	margin-bottom: $spacing-unit;
	background-color: rgba(0,0,0,.05);
	overflow: auto;
}

.remove_search {
	position: relative;
	width: 1.25 * 16px;
	height: 1.25 * 16px;
}

#advanced-search-form {

	@include breakpoint(sm) {
		margin-bottom: 40px;
	}

	.inputs {
		clear: both;
	}

	input, select {
		width: 100%;
		display: block;
		margin-bottom: $spacing-unit;
	}

	.search-entry select,
	.search-entry input[type="text"] {
		width: 100%;
		display: block;

		@include breakpoint(sm) {
			float: none;
			display: inline-block;
			width: calc((100% - #{(1.75 * $spacing-unit)}) / 4);
			margin: 0 3px 0 0;
		}
	}

	.search-entry:first-child {

		select,
		input[type="text"] {

			@include breakpoint(sm) {
				width: calc((100% - #{(1.75 * $spacing-unit)}) / 3);
			}
		}
	}

	.search-entry:first-child .advanced-search-joiner {
		display: none;
	}

	input[type=submit], button {
		clear: both;
		width:auto;
		border-radius: 0;
	}

	.submit {
		margin-top: $spacing-unit;
		margin-bottom: $spacing-unit;

		@include breakpoint(sm) {
			float: right;
		}
	}

	.search-entry input[type=text] {
		margin-bottom: 0;
	}

	#search-narrow-by-fields .inputs {
		margin-bottom: $spacing-unit;
	}

	.field {
		width: 100%;
		padding: $spacing-unit 0;
		margin-bottom: 0;
		border-bottom: 1px solid #ccc;
		overflow: auto;

		.inputs {
			width: 100%;
		}

		label {
			margin: 0;
			margin-bottom: $spacing-unit;
		}

		div.field:last-of-type { 
			display: inline-block; 
			margin-bottom: 1em; 
		}

		div:only-child { 
			margin-bottom: 0; 
		}

		.remove_search {
			margin: $spacing-unit 0 0;

			@include breakpoint(sm) {
				float: right;
				clear: none;
				width: (1.25 * $spacing-unit);
				margin-top: 0;
				text-indent: -9999px;

				&::after {
					content: "\f00d";
					position: absolute;
					top: 0;
					left: 0;
					width: 100%;
					font-family: "Font Awesome 5 Free";
					font-weight: 900;
					text-indent: 0;
					text-align: center;
					line-height: 1.25 * 16px;
				}
			}
		}
	}
}

div#contribution-type-form div.inputs {

	@include breakpoint(sm) {
		clear: none;
		float: right;
		width: 69%;
	}
}

.field {

	&:not(:last-child) {
		margin-bottom: 24px;
	}

/*	@include breakpoint(sm) {
		width:100%;
		padding: (1 * $spacing-unit) 0;
		border-bottom:1px solid #ccc;
		overflow: auto;
	}

	.inputs,
	.columns.omega {

		@include breakpoint(sm) {
			clear: none;
			float: right;
			width: 69%;
		}
			
	}

	input, 
	input[type=text], 
	select {

		@include breakpoint(sm) {
			width: 100%;
			float: right;
		}			
	}

	label,
	.label,
	.columns.alpha {

		@include breakpoint(sm) {
			width: 29%;
			float: left;
			margin: 0;
		}			
	}

	.columns.alpha label,
	.columns.alpha .label {

		@include breakpoint(sm) {
			width: 100%;
		}		
	}

	div.field:last-of-type { 

		@include breakpoint(sm) {
			display: inline-block; 
			margin-bottom: 1em;
		}
	}

	div :only-child { 

		@include breakpoint(sm) {
			margin-bottom: 0;
		}
	}*/
}

ul.items-list, ul.collections-list, ul.title-list {
	list-style:none;
	margin-left:0;
}

.title-list li {
	margin-bottom:1.33333em;
	line-height:1.33333em;
}

textarea#rights {
	float:none;
	display:none;
	width: 512px;
	height:31em;
	padding:0;
	margin:0;
	border:none;
	line-height:1.33333em;
	color:#444;
}

div.error {
	margin: 1.33333em 0;
	line-height: 1.33333em;
}

/* == Microformats == */

.hTagcloud {
	margin-top:2em;

	ul {
		list-style:none;
		margin-left:0;
		padding-left:0;
		line-height:1.8em;
	}

	li {
		display:inline;
		margin-right:8px;
	}
}


.popular {
	font-size:100%;
}
.v-popular {
	font-size:140%;
}
.vv-popular {
	font-size:180%;
}
.vvv-popular {
	font-size:220%;
}
.vvvv-popular {
	font-size:260%;
}
.vvvvv-popular {
	font-size:300%;
}
.vvvvvv-popular {
	font-size:320%;
}
.vvvvvvv-popular {
	font-size:340%;
}
.vvvvvvvv-popular {
	font-size:360%;
}

.popular a,
.popular a:visited,
.v-popular a,
.v-popular a:visited,
.vv-popular a,
.vv-popular a:visited {
	color: #714271; 
}

.vvv-popular a,
.vvv-popular a:visited,
.vvvv-popular a,
.vvvv-popular a:visited {
	color: #636;
}

.vvvvv-popular a,
.vvvvv-popular a:visited,
.vvvvvv-popular a,
.vvvvvv-popular a:visited,
.vvvvvvv-popular a,
.vvvvvvv-popular a:visited,
.vvvvvvvv-popular a,
.vvvvvvvv-popular a:visited {
	color: #5D2E5D;
}
